/*
 *	Buttons..
 */


extern struct hr_slider{	
	int flags;		
	int x_items;
	int x_visible;
	int x_position;
	int x_minval;
	int *x_valint;
	int y_items;
	int y_visible;
	int y_position;
	int y_minval;
	int *y_valint;
}dummy_slider;

extern struct hr_button{
	struct hr_button *next;
	unsigned int index;
	int flags;
	struct hr_window *parent_window;
	struct hr_font   *font;
	struct hr_color  *colors;
	unsigned char *text;
	unsigned char *text2;
	struct hr_bitmap *bitmap;
	struct hr_bitmap *bitmap2;
	int x1;
	int y1;
	int x2;
	int y2;
	int hotkey;
	void *extras;
}dummy_button;

extern void hr_shade(int x1,int y1,int x2,int y2,struct hr_color *colors);
extern void hr_bevelbox(int x1,int y1,int x2,int y2,
								struct hr_color *colors,int flags);
extern void hr_value_gadget(int x,int y,int w,int h,int offset,
									 struct hr_font *font,
									 struct hr_color *colors,
									 unsigned char *text,
									 unsigned char *valuetext,
									 int value);
extern void hr_delete_all_buttons();
extern struct hr_button *hr_create_button(unsigned int index,
														int x1,int y1,
														int x2,int y2,
														struct hr_font *font,
														struct hr_color *colors,
														unsigned char *text,
														unsigned char *text2,
														int flags);
extern struct hr_slider *hr_create_slider(int flags,
														int x_items,int x_visible,
														int x_position,int x_minval,
														int *x_valint,
														int y_items,int y_visible,
														int y_position,int y_minval,
														int *y_valint);
extern void hr_slider_bar(struct hr_button *b);
extern void hr_update_button(unsigned int index,struct hr_button *p,
									  int mode,void *data);
extern void hr_remove_button(struct hr_button *p);
extern struct hr_button *hr_get_button(int x,int y,unsigned int index);
extern void hr_textbox(int x1,int y1,int x2,int y2,
							  struct hr_font *font,
							  struct hr_color *colors,
							  unsigned char *text,
							  int flags);
extern int hr_button_string_edited(struct hr_button *b);
