/*
 *	Generic stuff.
 */

#include <stdio.h>
#include <vgagl.h>

extern struct hr_color{
	unsigned char color;
	unsigned char color2;
	unsigned char hilite;
	unsigned char bgr;
	unsigned char light;
	unsigned char dark;
	unsigned char raised;
	unsigned char pressed;
}dummy_color;

/* This contains most of the globals used by HobbiRewl */
extern struct {
	unsigned int flags;
	unsigned char    *datapath;
	struct hr_color  *def_colors;
	struct hr_button *firstbutton;
	struct hr_button *default_button;
	struct hr_font   *font8x8;
	struct hr_menu   *firstmenu;
	struct hr_screen *active_screen;
	GraphicsContext  *physicalscreen;
	struct hr_window *firstwindow;
	struct hr_window *active_window;
	struct hr_zone   *firstzone;
	int def_hotkey;
	int (*def_func)();
}hr;

extern int pcos[360];
extern int psin[360];

extern void hr_init();
extern void hr_cleanup();
extern void hr_floodfill(int x,int y,int c,int rc,int mode);
extern void hr_replace_colors(int x1,int y1,int x2,int y2,
										int c1,int c2,int nc);
extern void hr_debug_log(unsigned char *text);
extern void hr_default_palette();
extern void hr_error_exit(unsigned char *text);	

extern void hr_circle(int x,int y,int r,int c);
extern void hr_disc(int x,int y,int r,int c);
