/*
 *	Global definitions.
 */

extern struct hr_bitmap{
	int flags;
	int width;
	int height;
	int colors;
	int color_offset;
	unsigned char *data;
	unsigned char *palette;
}dummy_bitmap;

extern struct hr_bitmap *hr_create_bitmap (unsigned char *data,
														 unsigned char *palette,
														 int width,int height,
														 int colors,int flags);
extern void hr_delete_bitmap(struct hr_bitmap *b);
extern void hr_recolor_bitmap(struct hr_bitmap *p,int color,int flags);
extern void hr_monodraw(struct hr_bitmap *b,int x,int y,int color);
extern void hr_use_bitmap_palette(struct hr_bitmap *bmap,
											 int mincol,int maxcol,int flags);
extern int hr_color_extreme(struct hr_bitmap *b,
									 int mincol,int maxcol,int flags);
