/*
 * Keyboard related stuff. RAW mode not used.
 */


#include <stdlib.h>
#include <stdio.h>
#include <vga.h>
#include <vgagl.h>
#include <vgamouse.h>
#include <unistd.h>

#include <hr_defines.h>
#include <hr_general.h>


struct {
	int flags;
	unsigned char lastkey;
} hr_keyboard;


/* Loops until vga_getkey() returns "no more keypresses" */
void hr_clearkey() {
	while(vga_getkey());
	hr_keyboard.lastkey=0;
}


/* Gets a keypress and sets hr_keyboard.lastkey.*/
int hr_getkey() {
	/* Get next char from buffer...*/
	hr_keyboard.lastkey=(unsigned char)vga_getkey();
	/* These override input_handler() */
	if(hr_keyboard.lastkey==hr.def_hotkey){
		hr_keyboard.lastkey=0;
		if(hr.def_func!=NULL)
		  hr.def_func();
	}
	/* Return value of key pressed, if a keypress was received.*/
	return hr_keyboard.lastkey;
}
