/*
 *	Global definitions.
 */


extern struct hr_window_gadgets{
   int button_n;
   struct hr_button **buttons;
}dummy_gadgets;

extern struct hr_window {
	struct hr_window *next;
	int flags;
	struct hr_color *colors;
	struct hr_bitmap *background;
	struct hr_bitmap *foreground;
	int x;
	int y;
	int width;
	int height;
	struct hr_window_gadgets *gadgets;
}dummy_window;


extern struct hr_window *hr_window_open(int x,int y,int w,int h,
													 struct hr_color *colors,
													 int flags);
extern void hr_window_close(struct hr_window *wp);
extern struct hr_window *hr_frontmost_window();

extern void hr_window_resize(struct hr_window *wp,int nwidth,int nheight);
extern void hr_window_move(struct hr_window *wp,int nx,int ny);
extern void hr_window_refresh(struct hr_window *wp);
extern void hr_window_to_front(struct hr_window *wp);
extern void hr_window_to_back(struct hr_window *wp);
extern void hr_get_windows(struct hr_window *wp);
extern void hr_put_windows();
extern struct hr_window_gadgets *hr_create_window_gadgets(int button_n);
