/*
 *	Tykkipeli 2
 *	Automagical control of guns/shop/changing weapons etc.
 * Used by droids.
 */

#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include <vga.h>
#include <vgagl.h>
#include <vgamouse.h>

#include <defines.h>
#include <tp2.h>
#include <game_screen.h>
#include <players.h>

/* Automatic controls of gun.
 * Called from main().*/
void auto_control(struct player *p) {
	printf("auto_control() : %s\n",p->name);
}


/* Selects a weapon.
 * Called from within pre_player_inits().*/
void auto_change(struct player *p) {
	printf("auto_change() : %s\n",p->name);
}


/* Autoshopping.
 * Called from within shop().*/
void auto_shop(struct player *p) {
	printf("auto_shop() : %s\n",p->name);
}
