extern struct warhead_list{
	struct warhead_list *next;
	struct warhead *type;
}dummy_warhead_list;

extern struct weapon{
	struct weapon *next;
	unsigned int index;
	unsigned char *name;
	int shots;
   struct warhead_list **warheads;
	int *speed;
	int *variance;
	int *spread;
	int cost;
	int default_amount;
}dummy_weapon;

extern struct warhead{
	struct warhead *next;
	unsigned int index;
	int efficiency;
	int xrange;
	int yrange;
	int path;
	int trigger_step;
	int explosion_type;
   int flight_effect;
	int weight;
	int color;
}dummy_warhead;

extern int create_weapons();
extern int create_warheads();
extern struct weapon *get_weapon(unsigned int index);
extern struct warhead *get_warhead(unsigned int index);
extern void create_special_ws();
extern int warheads_in_list(struct warhead_list *whl);
